from ._AddressDto import AddressDto


class SubscriptionInfoDto(object):
    def __init__(
        self,
        subscription_id: str,
        pub_address: AddressDto,
        sub_address: AddressDto,
    ):
        self.subscription_id = subscription_id
        self.pub_address = pub_address
        self.sub_address = sub_address
